DROP TABLE CRST_PER_JOBS;

CREATE TABLE CRST_PER_JOBS
(
  JOB_ID                    NUMBER(15)          NOT NULL,
  BUSINESS_GROUP_ID         NUMBER(15)          NOT NULL,
  JOB_DEFINITION_ID         NUMBER(15)          NOT NULL,
  DATE_FROM                 DATE                NOT NULL,
  COMMENTS                  LONG,
  DATE_TO                   DATE,
  NAME                      VARCHAR2(240 BYTE),
  REQUEST_ID                NUMBER(15),
  PROGRAM_APPLICATION_ID    NUMBER(15),
  PROGRAM_ID                NUMBER(15),
  PROGRAM_UPDATE_DATE       DATE,
  ATTRIBUTE_CATEGORY        VARCHAR2(30 BYTE),
  ATTRIBUTE1                VARCHAR2(150 BYTE),
  ATTRIBUTE2                VARCHAR2(150 BYTE),
  ATTRIBUTE3                VARCHAR2(150 BYTE),
  ATTRIBUTE4                VARCHAR2(150 BYTE),
  ATTRIBUTE5                VARCHAR2(150 BYTE),
  ATTRIBUTE6                VARCHAR2(150 BYTE),
  ATTRIBUTE7                VARCHAR2(150 BYTE),
  ATTRIBUTE8                VARCHAR2(150 BYTE),
  ATTRIBUTE9                VARCHAR2(150 BYTE),
  ATTRIBUTE10               VARCHAR2(150 BYTE),
  ATTRIBUTE11               VARCHAR2(150 BYTE),
  ATTRIBUTE12               VARCHAR2(150 BYTE),
  ATTRIBUTE13               VARCHAR2(150 BYTE),
  ATTRIBUTE14               VARCHAR2(150 BYTE),
  ATTRIBUTE15               VARCHAR2(150 BYTE),
  ATTRIBUTE16               VARCHAR2(150 BYTE),
  ATTRIBUTE17               VARCHAR2(150 BYTE),
  ATTRIBUTE18               VARCHAR2(150 BYTE),
  ATTRIBUTE19               VARCHAR2(150 BYTE),
  ATTRIBUTE20               VARCHAR2(150 BYTE),
  LAST_UPDATE_DATE          DATE,
  LAST_UPDATED_BY           NUMBER(15),
  LAST_UPDATE_LOGIN         NUMBER(15),
  CREATED_BY                NUMBER(15),
  CREATION_DATE             DATE,
  JOB_INFORMATION_CATEGORY  VARCHAR2(30 BYTE),
  JOB_INFORMATION1          VARCHAR2(150 BYTE),
  JOB_INFORMATION2          VARCHAR2(150 BYTE),
  JOB_INFORMATION3          VARCHAR2(150 BYTE),
  JOB_INFORMATION4          VARCHAR2(150 BYTE),
  JOB_INFORMATION5          VARCHAR2(150 BYTE),
  JOB_INFORMATION6          VARCHAR2(150 BYTE),
  JOB_INFORMATION7          VARCHAR2(150 BYTE),
  JOB_INFORMATION8          VARCHAR2(150 BYTE),
  JOB_INFORMATION9          VARCHAR2(150 BYTE),
  JOB_INFORMATION10         VARCHAR2(150 BYTE),
  JOB_INFORMATION11         VARCHAR2(150 BYTE),
  JOB_INFORMATION12         VARCHAR2(150 BYTE),
  JOB_INFORMATION13         VARCHAR2(150 BYTE),
  JOB_INFORMATION14         VARCHAR2(150 BYTE),
  JOB_INFORMATION15         VARCHAR2(150 BYTE),
  OBJECT_VERSION_NUMBER     NUMBER(9),
  JOB_INFORMATION16         VARCHAR2(150 BYTE),
  JOB_INFORMATION17         VARCHAR2(150 BYTE),
  JOB_INFORMATION18         VARCHAR2(150 BYTE),
  JOB_INFORMATION19         VARCHAR2(150 BYTE),
  JOB_INFORMATION20         VARCHAR2(150 BYTE),
  BENCHMARK_JOB_FLAG        VARCHAR2(30 BYTE),
  BENCHMARK_JOB_ID          NUMBER(15),
  EMP_RIGHTS_FLAG           VARCHAR2(30 BYTE),
  JOB_GROUP_ID              NUMBER(15)          NOT NULL,
  APPROVAL_AUTHORITY        NUMBER(38),
  JOB_ID_N                  NUMBER(15) 
);
